VULKAN_HPP_NAMESPACE::GeometryNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::GeometryNV:
[legend]

## Public Member Functions

| GeometryNV (GeometryTypeNV geometryType_=GeometryTypeNV::eTriangles, GeometryDataNV geometry_=GeometryDataNV(), GeometryFlagsNV flags_=GeometryFlagsNV())
| GeometryNV (VkGeometryNV const &rhs)
GeometryNV & | operator= (VkGeometryNV const &rhs)
GeometryNV & | setPNext (const void *pNext_)
GeometryNV & | setGeometryType (GeometryTypeNV geometryType_)
GeometryNV & | setGeometry (GeometryDataNV geometry_)
GeometryNV & | setFlags (GeometryFlagsNV flags_)
| operator VkGeometryNV const & () const
| operator VkGeometryNV & ()
bool | operator== (GeometryNV const &rhs) const
bool | operator!= (GeometryNV const &rhs) const

## Data Fields

const void * | pNext = nullptr
GeometryTypeNV | geometryType
GeometryDataNV | geometry
GeometryFlagsNV | flags

## Private Attributes

StructureType | sType = StructureType::eGeometryNV

## Detailed Description

Definition at line 36932 of file vulkan.hpp.

## Constructor & Destructor Documentation

## GeometryNV() [1/2]

VULKAN_HPP_NAMESPACE::GeometryNV::GeometryNV | ( | GeometryTypeNV | geometryType_ = `GeometryTypeNV::eTriangles`,
|  | GeometryDataNV | geometry_ = `GeometryDataNV()`,
|  | GeometryFlagsNV | flags_ = `GeometryFlagsNV()`
| ) |  |

inline

Definition at line 36934 of file vulkan.hpp.

: geometryType( geometryType_ )
, geometry( geometry_ )
, flags( flags_ )
{
}

## GeometryNV() [2/2]

VULKAN_HPP_NAMESPACE::GeometryNV::GeometryNV | ( | VkGeometryNV const & | rhs | ) |

inline

Definition at line 36943 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( GeometryNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkGeometryNV &()

VULKAN_HPP_NAMESPACE::GeometryNV::operator VkGeometryNV & | ( |  | ) |

inline

Definition at line 36982 of file vulkan.hpp.

{
return *reinterpret_cast<VkGeometryNV*>(this);
}

## operator VkGeometryNV const &()

VULKAN_HPP_NAMESPACE::GeometryNV::operator VkGeometryNV const & | ( |  | ) | const

inline

Definition at line 36977 of file vulkan.hpp.

{
return *reinterpret_cast<const VkGeometryNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::GeometryNV::operator!= | ( | GeometryNV const & | rhs | ) | const

inline

Definition at line 36996 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

GeometryNV& VULKAN_HPP_NAMESPACE::GeometryNV::operator= | ( | VkGeometryNV const & | rhs | ) |

inline

Definition at line 36948 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( GeometryNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::GeometryNV::operator== | ( | GeometryNV const & | rhs | ) | const

inline

Definition at line 36987 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( geometryType == rhs.geometryType )
&& ( geometry == rhs.geometry )
&& ( flags == rhs.flags );
}

References flags, geometry, geometryType, pNext, and sType.

Referenced by operator!=().

## setFlags()

GeometryNV& VULKAN_HPP_NAMESPACE::GeometryNV::setFlags | ( | GeometryFlagsNV | flags_ | ) |

inline

Definition at line 36971 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setGeometry()

GeometryNV& VULKAN_HPP_NAMESPACE::GeometryNV::setGeometry | ( | GeometryDataNV | geometry_ | ) |

inline

Definition at line 36965 of file vulkan.hpp.

{
geometry = geometry_;
return *this;
}

References geometry.

## setGeometryType()

GeometryNV& VULKAN_HPP_NAMESPACE::GeometryNV::setGeometryType | ( | GeometryTypeNV | geometryType_ | ) |

inline

Definition at line 36959 of file vulkan.hpp.

{
geometryType = geometryType_;
return *this;
}

References geometryType.

## setPNext()

GeometryNV& VULKAN_HPP_NAMESPACE::GeometryNV::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 36953 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## flags

GeometryFlagsNV VULKAN_HPP_NAMESPACE::GeometryNV::flags

Definition at line 37008 of file vulkan.hpp.

Referenced by operator==().

## geometry

GeometryDataNV VULKAN_HPP_NAMESPACE::GeometryNV::geometry

Definition at line 37007 of file vulkan.hpp.

Referenced by operator==(), and setGeometry().

## geometryType

GeometryTypeNV VULKAN_HPP_NAMESPACE::GeometryNV::geometryType

Definition at line 37006 of file vulkan.hpp.

Referenced by operator==(), and setGeometryType().

## pNext

const void* VULKAN_HPP_NAMESPACE::GeometryNV::pNext = nullptr

Definition at line 37005 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::GeometryNV::sType = StructureType::eGeometryNV

private

Definition at line 37002 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::GeometryNV::sType
StructureType sType
Definition: vulkan.hpp:37002
VULKAN_HPP_NAMESPACE::GeometryNV::flags
GeometryFlagsNV flags
Definition: vulkan.hpp:37008
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::GeometryNV::GeometryNV
GeometryNV(GeometryTypeNV geometryType_=GeometryTypeNV::eTriangles, GeometryDataNV geometry_=GeometryDataNV(), GeometryFlagsNV flags_=GeometryFlagsNV())
Definition: vulkan.hpp:36934
VULKAN_HPP_NAMESPACE::GeometryNV::operator==
bool operator==(GeometryNV const &rhs) const
Definition: vulkan.hpp:36987
VULKAN_HPP_NAMESPACE::GeometryNV::geometryType
GeometryTypeNV geometryType
Definition: vulkan.hpp:37006
VULKAN_HPP_NAMESPACE::GeometryNV::pNext
const void * pNext
Definition: vulkan.hpp:37005
VkGeometryNV
Definition: vulkan_core.h:8252
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::GeometryNV::geometry
GeometryDataNV geometry
Definition: vulkan.hpp:37007